C***********************************************************************
C
C	SUBROUTINE ANS
C
C	PURPOSE:
C	   READS THE ANSWER OF A QUESTION WHICH IS SUPPOSED TO BE 
C	   ANSWERED WITH YES OR NO.
C
C	USAGE:
C	   CALL ANS(YES)
C
C	DESCRIPTION OF INPUT PARAMETERS:
C	   NONE
C
C	DESCRIPTION OF OUTPUT PARAMETERS:
C	   YES    = LOGICAL VALUE OF ANSWER
C		    TYPE: LOGICAL*1
C
C	REMARKS:
C	   IF ANSWER IS YES THE OUTPUT PARAMETER IS .TRUE., ELSE IT IS
C	   .FALSE., A CARRIAGE RETURN IS ASSUMED AS A NO.
C
C	ERROR MESSAGES:
C	   NONE
C
C	DATE/AUTHOR:
C	   NOVEMBER 1979	S.P. LIE AND J.H.C. REIBER
C	   THORAXCENTER, ERASMUS UNIVERSITY ROTTERDAM
C
C***********************************************************************
C
	SUBROUTINE ANS(YES)
C
	LOGICAL*1 YES,CHAR
C
10	FORMAT(A1)
20	FORMAT('$YES OR NO? ')
C
1	READ(5,10)CHAR
	IF(CHAR.EQ.'Y')GOTO 2
	IF(CHAR.EQ.'N'.OR.CHAR.EQ.' ')GOTO 3
	WRITE(7,20)
	GOTO 1
2	YES=.TRUE.
	GOTO 4
3	YES=.FALSE.
4	RETURN
	END
